=== debian/changelog ===
ros-rolling-gazebo-ros2-control (0.0.8-1focal) focal; urgency=high

  * Enable setting default position of the simulated robot using ros2_control URDF tag. (#100 <https://github.com/ros-simulation/gazebo_ros2_control//issues/100>)
  * Contributors: Denis Štogl

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 27 Jan 2022 23:00:00 -0000

ros-rolling-gazebo-ros2-control (0.0.7-1focal) focal; urgency=high

  * Pass ROS time instead of SYSTEM time to update function (#97 <https://github.com/ros-simulation/gazebo_ros2_control//issues/97>)
  * Contributors: Błażej Sowa

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 02 Dec 2021 23:00:00 -0000

ros-rolling-gazebo-ros2-control (0.0.6-1focal) focal; urgency=high

  * Fix ros2_control resource manager in galatic (#96 <https://github.com/ros-simulation/gazebo_ros2_control//issues/96>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 17 Nov 2021 23:00:00 -0000

ros-rolling-gazebo-ros2-control (0.0.4-1focal) focal; urgency=high

  * Added testing CI (#93 <https://github.com/ros-simulation/gazebo_ros2_control//issues/93>)
    Co-authored-by: Bence Magyar <mailto:bence.magyar.robotics@gmail.com>
    Co-authored-by: Bence Magyar <mailto:bence.magyar.robotics@gmail.com>
  * fix maintainer email (#92 <https://github.com/ros-simulation/gazebo_ros2_control//issues/92>)
  * Galactic: Pass time and period to update function (#88 <https://github.com/ros-simulation/gazebo_ros2_control//issues/88>)
  * Export interfaces created in init (#83 <https://github.com/ros-simulation/gazebo_ros2_control//issues/83>)
  * Add Imu and FT state interfaces (#65 <https://github.com/ros-simulation/gazebo_ros2_control//issues/65>)
    Co-authored-by: Jordan Palacios <mailto:jordan.palacios@pal-robotics.com>
  * Contributors: Alejandro Hernández Cordero, Bence Magyar, Błażej Sowa, Victor Lopez

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 25 Oct 2021 22:00:00 -0000

ros-rolling-gazebo-ros2-control (0.0.3-1focal) focal; urgency=high

  * Forward sdf ros remappings to loaded controllers (#80 <https://github.com/ros-simulation/gazebo_ros2_control/issues/80>)
    Co-authored-by: Jonatan Olofsson <mailto:jonatan.olofsson@saabgroup.com>
  * Join with the controller manager's executor thread on exit (#79 <https://github.com/ros-simulation/gazebo_ros2_control/issues/79>)
  * Ensure that sim_joints_ always has the same number of elements as the… (#77 <https://github.com/ros-simulation/gazebo_ros2_control/issues/77>)
  * Write joints on each simulation update period (#78 <https://github.com/ros-simulation/gazebo_ros2_control/issues/78>)
  * Contributors: Jonatan Olofsson, Kenneth Bogert, Victor Lopez

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Tue, 15 Jun 2021 22:00:00 -0000

ros-rolling-gazebo-ros2-control (0.0.2-1focal) focal; urgency=high

  * add ros parameters file to node context (#60 <https://github.com/ros-simulation/gazebo_ros2_control//issues/60>)
    Co-authored-by: ahcorde <mailto:ahcorde@gmail.com>
  * Expose include path (#58 <https://github.com/ros-simulation/gazebo_ros2_control//issues/58>)
  * Added License file (#55 <https://github.com/ros-simulation/gazebo_ros2_control//issues/55>)
  * Fixed state interfaces (#53 <https://github.com/ros-simulation/gazebo_ros2_control//issues/53>)
  * Contributors: Alejandro Hernández Cordero, Chen Bainian, Karsten Knese

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Sun, 18 Apr 2021 22:00:00 -0000

ros-rolling-gazebo-ros2-control (0.0.1-1focal) focal; urgency=high

  * Updated with ros2-control Foxy API (#44 <https://github.com/ros-simulation/gazebo_ros2_control/issues/44>)
    Co-authored-by: Karsten Knese <mailto:Karsten1987@users.noreply.github.com>
  * Added initial version of gazebo_ros2_control (#1 <https://github.com/ros-simulation/gazebo_ros2_control/issues/1>)
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, Karsten Knese, Bence Magyar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 04 Feb 2021 23:00:00 -0000
