## ros-rolling-gazebo-ros2-control 0.6.2

=== debian/changelog ===
ros-rolling-gazebo-ros2-control (0.6.2-1jammy) jammy; urgency=high

  * Catch pluginlib exceptions (#229 <https://github.com/ros-controls/gazebo_ros2_control/issues/229>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Set the C++ version to 17 (#221 <https://github.com/ros-controls/gazebo_ros2_control/issues/221>)
  * Removed unused var (#220 <https://github.com/ros-controls/gazebo_ros2_control/issues/220>)
  * Remove plugin export from ROS 1 (#212 <https://github.com/ros-controls/gazebo_ros2_control/issues/212>)
  * Forced zero vel in position mode to avoid sagging (#213 <https://github.com/ros-controls/gazebo_ros2_control/issues/213>)
  * Contributors: Alejandro Hernández Cordero, Christoph Fröhlich, gwalck

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Tue, 22 Aug 2023 22:00:00 -0000

ros-rolling-gazebo-ros2-control (0.6.1-1jammy) jammy; urgency=high

  * Add pre-commit and CI-format (#206 <https://github.com/ros-controls/gazebo_ros2_control/issues/206>)
    * Add pre-commit and ci-format
  * Compile with ROS iron and rolling (#202 <https://github.com/ros-controls/gazebo_ros2_control/issues/202>)
  * Contributors: Alejandro Hernández Cordero, Christoph Fröhlich

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 08 Jun 2023 22:00:00 -0000

ros-rolling-gazebo-ros2-control (0.6.0-1jammy) jammy; urgency=high

  * add copy operator to SafeEnum (#197 <https://github.com/ros-controls/gazebo_ros2_control/issues/197>)
  * Fixed rolling compilation (#195 <https://github.com/ros-controls/gazebo_ros2_control/issues/195>)
  * Export all dependencies (#183 <https://github.com/ros-controls/gazebo_ros2_control/issues/183>) (#184 <https://github.com/ros-controls/gazebo_ros2_control/issues/184>)
  * Contributors: Alejandro Hernández Cordero, Noel Jiménez García, Adrian Zwiener

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 22 May 2023 22:00:00 -0000

ros-rolling-gazebo-ros2-control (0.5.1-1jammy) jammy; urgency=high

  * Various bug fixes (#177 <https://github.com/ros-controls/gazebo_ros2_control/issues/177>)
  * Contributors: AndyZe

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 06 Feb 2023 23:00:00 -0000

ros-rolling-gazebo-ros2-control (0.5.0-1jammy) jammy; urgency=high

  * Force setting use_sim_time parameter when using plugin. (#171 <https://github.com/ros-controls/gazebo_ros2_control/issues/171>)
  * Improve error message if robot_description_ param is wrong (#168 <https://github.com/ros-controls/gazebo_ros2_control/issues/168>)
  * Rename hw info class type to plugin name (#169 <https://github.com/ros-controls/gazebo_ros2_control/issues/169>)
  * Removed warning (#162 <https://github.com/ros-controls/gazebo_ros2_control/issues/162>)
  * Mimic joint should have the same control mode as mimicked joint. (#154 <https://github.com/ros-controls/gazebo_ros2_control/issues/154>)
  * Enable loading params from multiple yaml files (#149 <https://github.com/ros-controls/gazebo_ros2_control/issues/149>)
  * Contributors: Alejandro Hernández Cordero, Christoph Fröhlich, Denis Štogl, Tony Najjar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 05 Jan 2023 23:00:00 -0000

ros-rolling-gazebo-ros2-control (0.4.0-1jammy) jammy; urgency=high

  * Implemented perform_command_mode_switch override in GazeboSystem (#136 <https://github.com/ros-simulation/gazebo_ros2_control/issues/136>)
  * added namespace to controller manager (#147 <https://github.com/ros-simulation/gazebo_ros2_control/issues/147>)
  * Activate all hardware in URDF (#144 <https://github.com/ros-simulation/gazebo_ros2_control/issues/144>)
  * activated all hardware by default (#143 <https://github.com/ros-simulation/gazebo_ros2_control/issues/143>)
  * Fix setting initial values if command interfaces are not defined. (#110 <https://github.com/ros-simulation/gazebo_ros2_control/issues/110>)
  * changed name to GazeboSystem (#142 <https://github.com/ros-simulation/gazebo_ros2_control/issues/142>)
  * Contributors: Denis Štogl, Keegan Sotebeer, Maciej Bednarczyk

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 08 Aug 2022 22:00:00 -0000

ros-rolling-gazebo-ros2-control (0.3.1-1jammy) jammy; urgency=high

  * Added logic for activating hardware interfaces (#139 <https://github.com/ros-simulation/gazebo_ros2_control/issues/139>)
  * Adjust repo URL (#134 <https://github.com/ros-simulation/gazebo_ros2_control/issues/134>)
  * Contributors: Alejandro Hernández Cordero, Bence Magyar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 04 Jul 2022 22:00:00 -0000

ros-rolling-gazebo-ros2-control (0.3.0-1jammy) jammy; urgency=high

  * Merge pull request #120 <https://github.com/ros-simulation/gazebo_ros2_control/issues/120> from ros-simulation/ahcorde/main/117
    Adapted to Humble
  * make linters happy
  * Merge remote-tracking branch 'denis/using-under-namespace' into ahcorde/main/117
  * update read/write interface functions of ros2_control parts
    This is needed since the ros2_control interfaces have been update
  * Declare dependency of gazebo_hardware_plugins to urdf in CMakeLists.txt (#117 <https://github.com/ros-simulation/gazebo_ros2_control/issues/117>)
  * ros2_control is now having usings under its namespace.
  * Fix mimic joint for effort command (#109 <https://github.com/ros-simulation/gazebo_ros2_control/issues/109>)
  * Support for mimic joints and example with gripper. (#107 <https://github.com/ros-simulation/gazebo_ros2_control/issues/107>)
  * Contributors: Alejandro Hernández Cordero, Christoph Fröhlich, Denis Štogl, Manuel M, Martin Wudenka, ahcorde

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 26 May 2022 22:00:00 -0000

ros-rolling-gazebo-ros2-control (0.0.8-1jammy) jammy; urgency=high

  * Enable setting default position of the simulated robot using ros2_control URDF tag. (#100 <https://github.com/ros-simulation/gazebo_ros2_control//issues/100>)
  * Contributors: Denis Štogl


