=== debian/control ===
Source: ros-rolling-gazebo-ros2-control
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <alejandro@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-angles, ros-rolling-controller-manager, ros-rolling-gazebo-dev, ros-rolling-gazebo-ros, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-std-msgs, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/gazebo_ros_control
Standards-Version: 3.9.2

Package: ros-rolling-gazebo-ros2-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-angles, ros-rolling-controller-manager, ros-rolling-gazebo-dev, ros-rolling-gazebo-ros, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-std-msgs, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Description: gazebo_ros2_control
